Why does Zoneminder require polkit on Linux?

Forum for questions and support relating to 1.33.x development only.
Post Reply
ncpv
Posts: 9
Joined: Mon Nov 26, 2018 5:42 pm

Why does Zoneminder require polkit on Linux?

Post by ncpv » Sun Jan 17, 2021 3:26 pm

I have Zoneminder 1.33 installed on a Linux box.

Among other dependencies there is a polkit package.

Why does Zoneminder need it?

Is there a particular aspect of Zoneminder's operation that requires it?

Can it work without polkit?

User avatar
iconnor
Posts: 1516
Joined: Fri Oct 29, 2010 1:43 am
Location: Toronto
Contact:

Re: Why does Zoneminder require polkit on Linux?

Post by iconnor » Mon Jan 18, 2021 11:55 pm

Because we need to do certain things with escalated privileges.

What have you got against polkit?

ncpv
Posts: 9
Joined: Mon Nov 26, 2018 5:42 pm

Re: Why does Zoneminder require polkit on Linux?

Post by ncpv » Thu Jan 21, 2021 1:21 am

What have you got against polkit?
Dependencies. It pulls spidermonkey, rust and llvm which otherwise would not be installed on this particular system. And because that system runs a compiled Linux distribution, I would like to avoid compiling these dependencies.

May I ask what exactly would break in Zoneminder's operation without polkit? May be these functions are never needed in my use case.

Magic919
Posts: 476
Joined: Wed Sep 18, 2013 6:56 am

Re: Why does Zoneminder require polkit on Linux?

Post by Magic919 » Thu Jan 21, 2021 9:01 am

Maybe that's something for Gentoo to fix for you.

Gronzelt
Posts: 1
Joined: Wed Feb 10, 2021 8:29 am

Re: Why does Zoneminder require polkit on Linux?

Post by Gronzelt » Wed Feb 10, 2021 8:37 am

Because these are systems that depend on each other,they work in a complementary way.In any case, you can find analogs.

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests